Author Topic: Crossing selection..  (Read 1754 times)

0 Members and 1 Guest are viewing this topic.

Andrea

  • Water Moccasin
  • Posts: 2372
Crossing selection..
« on: September 07, 2016, 11:15:04 AM »
Hi all,..

is anyone know if there is a variable doing always crossing selection how matter the way user select object ?
before I start to create this option....

thank you.
Keep smile...

ChrisCarlson

  • Guest
Re: Crossing selection..
« Reply #1 on: September 07, 2016, 11:48:28 AM »
As far as variable, I don't think so.

How are you selecting objects? You can use the crossing window selection mode of SSGET

Andrea

  • Water Moccasin
  • Posts: 2372
Re: Crossing selection..
« Reply #2 on: September 07, 2016, 11:54:54 AM »
Code: [Select]
(setq p1 (getpoint))
      (while (and
               (setq p2 (cadr (setq ff (grread t 4 4))))
               (listp p2)
               (/= (car ff) 3)
               )
(setq _*BlocksSelected (ssget "_C" (list (car p1)(cadr p1))
                                   (list (car p2)(cadr p2))
                              (list
      '(0 . "insert")
      (cons 2 _*BlockName)
      )
       ))

)


need to filter also specific block
Keep smile...

roy_043

  • Water Moccasin
  • Posts: 1895
  • BricsCAD 18
Re: Crossing selection..
« Reply #3 on: September 08, 2016, 03:36:24 AM »
@Andrea: Why don't you use (getcorner ...)?

alanjt

  • Needs a day job
  • Posts: 5352
  • Standby for witty remark...
Re: Crossing selection..
« Reply #4 on: September 08, 2016, 08:46:14 AM »
If the block doesn't have any objects that actually cross the point specified, then it wont' be selected.

What about selecting blocks within the current view, step through the selection set, and take the matching block?
Civil 3D 2019 ~ Windohz 7 64bit
Dropbox